Bug 1451326 - [Ansible Embedded] - SCM credentials cannot be added
Summary: [Ansible Embedded] - SCM credentials cannot be added
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
urgent
high
Target Milestone: GA
: 5.9.0
Assignee: James Wong
QA Contact: Pavol Kotvan
URL:
Whiteboard: ansible_embed
Depends On:
Blocks: 1451780
TreeView+ depends on / blocked
 
Reported: 2017-05-16 12:01 UTC by Pavol Kotvan
Modified: 2018-03-14 09:13 UTC (History)
5 users (show)

Fixed In Version: 5.9.0.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1451780 (view as bug list)
Environment:
Last Closed: 2018-03-06 14:45:15 UTC
Category: Bug
Cloudforms Team: Ansible
Target Upstream Version:


Attachments (Terms of Use)

Comment 2 James Wong 2017-05-16 16:02:50 UTC
UI is trimming the newline characters in the private key before sending to backend. The private key becomes invalid without the newline chars.

Comment 4 CFME Bot 2017-05-16 22:26:28 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/f7f5b4234d4629b7cb0f5fd85fdbb001ddc8d955

commit f7f5b4234d4629b7cb0f5fd85fdbb001ddc8d955
Author:     James Wong <jwong@redhat.com>
AuthorDate: Tue May 16 12:24:23 2017 -0400
Commit:     James Wong <jwong@redhat.com>
CommitDate: Tue May 16 12:29:08 2017 -0400

    scm_credential private_key field to have multiple line
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1451326

 .../ansible_tower/shared/automation_manager/scm_credential.rb    | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)


Note You need to log in before you can comment on or make changes to this bug.